from instrument import Instrument
from note import Note
from pydantic import BaseModel, ConfigDict

class Track(BaseModel):
    model_config = ConfigDict(extra='ignore')
    
    instrument: Instrument
    name: str
    notes: list[Note]